# Please add dependencies here and run
#
#   pip-compile --upgrade
#   pip install -r requirements.txt
#
# to update requirements.txt.
# See https://pypi.org/project/pip-tools/#updating-requirements for more.
#
# Please add developer dependencies which are not needed to install
# OpenAppStack to requirements-dev.txt!

# We need to update the mitogen plugin first in order to update to a newer
# ansible version
ansible<2.10
# needed for test_dns.py
dnspython
# Needed for `install/generate_secrets.py`
kubernetes
# Needed for testinfra using the ansible module
paramiko
psutil
pyopenssl
pytest-rerunfailures
pytest-testinfra
# needed for test_dns.py
tld
setuptools
wheel
-e git+https://open.greenhost.net/greenhost/cloud-api#egg=greenhost_cloud
passlib
# Needed for secrets generation in install/generate_secrets.py
jinja2-base64-filters
htpasswd
